Results 1 to 2 of 2

Thread: 4.0.3 -> 4.5.1 upgrade

  1. #1
    Storm16 is offline Senior Member
    Join Date
    Sep 2006
    Location
    Virginia, USA
    Posts
    67
    Rep Power
    8

    Default 4.0.3 -> 4.5.1 upgrade

    Hi,

    I tried, unsuccessfully, to upgrade from 4.0.3 to 4.5.0. After the upgrade, zmcontrol would report "Cannot determine services - exiting" when trying to status or start the server. I wound up rolling back from backups.

    I saw 4.5.1 is out, and was wondering if upgrading from 4.0.3 (though the installed debs say 4.5.0) was going to cause problems and if I can do a straight upgrade without losing email as I did the last time.

    Suggestions?

    Thanks,
    --Storm

  2. #2
    jholder's Avatar
    jholder is offline Former Zimbran
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    20

    Default

    Quote Originally Posted by Storm16 View Post
    After the upgrade, zmcontrol would report "Cannot determine services - exiting" when trying to status or start the server.
    This is most likely because LDAP isn't starting. If LDAP doesn't start, the zmcontrol script can't determine if the rest of the servers are started.

    You should find out why LDAP isn't starting by looking in the /var/log/zimbra.log file for any errors (once you upgrade).

    Also, you can try to start LDAP manually, then run a zmcontrol start, and see if that gets you started.
    Code:
    $su zimbra
    $ldap start
    $zmcontrol start
    $tail -100 /var/log/zimbra.log
    In short, it's gonna be okay to upgrade, and 4.5.0 and 4.5.1 won't make much of a difference. I'm willing to bet you're going to get the error on 4.5.1 too.

    You need to find out what's wrong with LDAP.

    Also, once you upgrade, run a zmlocalconfig and look to see if the ldap master is set to false. If it is, then that's probably your problem.

    Once you upgrade, let us know. We'll be here.


    -john
    Last edited by jholder; 02-11-2007 at 09:46 PM.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Upgrade from 3.1.3 to 4.0.3
    By rrojas in forum Installation
    Replies: 4
    Last Post: 05-22-2007, 08:45 AM
  2. Upgrade to 4.0.3 on Suse 9.3
    By winne27 in forum Migration
    Replies: 3
    Last Post: 10-27-2006, 10:30 AM
  3. FREE SHIRT - Did you upgrade to 4.0.3?
    By KevinH in forum Administrators
    Replies: 17
    Last Post: 10-21-2006, 06:22 AM
  4. fc4 zcs-3.0.1 -> 3.1 upgrade worked great.. almost
    By keyhman in forum Installation
    Replies: 29
    Last Post: 09-29-2006, 11:06 AM
  5. M1 -> M2 Upgrade Scripts
    By KevinH in forum Announcements
    Replies: 57
    Last Post: 12-15-2005, 10:10 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •